// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import * as React from 'react';
import { SVGProps } from 'react';
import { useTranslation } from 'react-i18next';

const SvgIconFolderRegulatoryProposalDefault: React.FunctionComponent<React.SVGProps<SVGSVGElement>> = (
  props: SVGProps<SVGSVGElement>,
) => {
  const { t } = useTranslation();

  return (
    <svg
      width="18"
      height="16"
      viewBox="0 0 18 16"
      fill="currentColor"
      xmlns="http://www.w3.org/2000/svg"
      aria-labelledby="title"
      {...props}
    >
      <title>{t('leaTheme.icon.regulatoryProposalFolder')}</title>
      <path
        d="M0.529224 8.44286L6.97903 10.1656V10.8725C6.97903 10.9803 7.0231 11.0836 7.10154 11.1598C7.17998 11.236 7.28637 11.2788 7.3973 11.2788H10.6013C10.7122 11.2788 10.8186 11.236 10.8971 11.1598C10.9755 11.0836 11.0196 10.9803 11.0196 10.8725V10.1656L17.4777 8.44286V15.7562C17.4777 15.8209 17.4513 15.8829 17.4042 15.9286C17.3572 15.9743 17.2933 16 17.2268 16H0.780189C0.713629 16 0.649795 15.9743 0.60273 15.9286C0.555665 15.8829 0.529224 15.8209 0.529224 15.7562V8.44286ZM11.3876 0H6.80335C6.47642 0.0168356 6.16921 0.15712 5.94727 0.390916C5.72534 0.624713 5.60626 0.933505 5.61545 1.2514V2.58405H6.86191L6.83681 1.21889L11.3542 1.2514V2.58405H12.609V1.27577C12.6212 0.949271 12.4994 0.631432 12.2703 0.392178C12.0413 0.152924 11.7238 0.0118537 11.3876 0ZM0.269894 3.39665C0.19081 3.4103 0.119719 3.45188 0.0702986 3.51338C0.0208786 3.57489 -0.00337758 3.65198 0.0021976 3.72981V7.15896C-0.0030964 7.21128 0.00394516 7.26408 0.0227881 7.31336C0.0416311 7.36264 0.0717805 7.4071 0.110949 7.44337C0.150278 7.47792 0.195594 7.50543 0.244797 7.52463L0.529224 7.59777L6.97903 9.32047V8.56475C6.97903 8.457 7.0231 8.35365 7.10154 8.27746C7.17998 8.20126 7.28637 8.15846 7.3973 8.15846H10.6013C10.7122 8.15846 10.8186 8.20126 10.8971 8.27746C10.9755 8.35365 11.0196 8.457 11.0196 8.56475V9.31234L17.4777 7.59777L17.7622 7.52463C17.8117 7.50246 17.857 7.47223 17.896 7.43525C17.9308 7.40134 17.9578 7.36061 17.9751 7.31576C17.9924 7.27092 17.9997 7.223 17.9964 7.17522V3.76232C18.0035 3.71942 18.0014 3.67557 17.9902 3.63349C17.9791 3.59141 17.9592 3.552 17.9318 3.51771C17.9043 3.48342 17.8699 3.45497 17.8306 3.43415C17.7914 3.41332 17.7481 3.40056 17.7036 3.39665H0.269894ZM7.81558 8.97105V10.4662H10.183V8.97105H7.81558Z"
        fill="#9DAFEC"
      />
    </svg>
  );
};

export default SvgIconFolderRegulatoryProposalDefault;
